PHPExcel_Shared_PasswordHasher

category | PHPExcel
package | PHPExcel_Shared
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a password hash from a given string.

    hashPassword(string $pPassword) : string

Static

This method is based on the algorithm provided by Daniel Rentz of OpenOffice and the PEAR package Spreadsheet_Excel_Writer by Xavier Noguer xnoguer@rezebra.com.

### Parameters

#### $pPassword

`string`

Password to hash

### Returns

`string`Hashed password